--
-- Tu beda perspektywy
--

-- Perspektywa zawierajaca wszystkie towary/uslugi
-- DROP VIEW goods_view;

CREATE VIEW goods_view
as
SELECT
  goods_data.no,
  goods.name,
  goods.code,
  units.memo as units,
  states_of_goods.name as states_of_goods,
  stores.id as stores,
  stores.name as stores_name,
  goods_data.store_state,
  kinds_of_goods.name as kinds_of_goods,
  goods_data.tax_vat,
  goods_data.bought_price,
  goods_data.sell_price
WHERE
      goods.id = goods_data.goods_id
and   goods.units_id = units.id
and   goods.states_of_goods_id = states_of_goods.id
and   goods.stores_id = stores.id
and   goods.kinds_of_goods_id = kinds_of_goods.id
and   goods.is_active='TRUE'
ORDER BY no, name;
